package com.ssm.manage.service.impl;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.impl.BaseServiceImpl;

import com.ssm.manage.dao.SsmSysMenuDao;
import com.ssm.manage.entity.SysMenu;
import com.ssm.manage.query.MenuRequest;
import com.ssm.manage.service.SsmSysMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SsmSysMenuServiceImpl extends BaseServiceImpl<SysMenu> implements SsmSysMenuService {
    @Autowired
    SsmSysMenuDao dao;

    @Override
    public SsmSysMenuDao getDao() {
        return dao;
    }

    @Override
    public PageInfo<SysMenu> selectPage(MenuRequest menuRequest) {
        return dao.selectPage(menuRequest);
    }
}
